Package com.saxonica.functions.extfn

## Class Mailer2

- java.lang.Object
- - com.saxonica.functions.extfn.Mailer2

-     public class Mailer2
      extends java.lang.Object

  Helper class for saxon:send-mail() extension function

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Mailer2​(java.lang.String server, int port, java.lang.String user, java.lang.String password)` |
    `Mailer2​(java.util.Properties props, java.lang.String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBodyPart​(javax.mail.BodyPart part)` |
    `void` | `addRecipients​(javax.mail.Message.RecipientType recipientType, javax.mail.Address[] addresses)` |
    `void` | `sendMail​(java.lang.String subject, java.lang.String content)` |
    `void` | `setSender​(java.lang.String emailAddress, java.lang.String realName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mailer2

          public Mailer2​(java.lang.String server,
                         int port,
                         java.lang.String user,
                         java.lang.String password)

    - #### Mailer2

          public Mailer2​(java.util.Properties props,
                         java.lang.String password)

  - ### Method Detail

    - #### setSender

          public void setSender​(java.lang.String emailAddress,
                                java.lang.String realName)
                         throws javax.mail.MessagingException,
                                java.io.UnsupportedEncodingException

      Throws:
        `javax.mail.MessagingException`
        `java.io.UnsupportedEncodingException`

    - #### addRecipients

          public void addRecipients​(javax.mail.Message.RecipientType recipientType,
                                    javax.mail.Address[] addresses)
                             throws XPathException

      Throws:
        `XPathException`

    - #### addBodyPart

          public void addBodyPart​(javax.mail.BodyPart part)
                           throws XPathException

      Throws:
        `XPathException`

    - #### sendMail

          public void sendMail​(java.lang.String subject,
                               java.lang.String content)
                        throws javax.mail.MessagingException

      Throws:
        `javax.mail.MessagingException`